## skanpage 22.04.3

=== debian/changelog ===
skanpage (22.04.3-0xneon+20.04+focal+release+build13) focal; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 17:15:39 +0000

skanpage (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:55 +0000

skanpage (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:55 +0000
