=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.1~),
               cmark,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.77.0~),
               kirigami2-dev (>= 5.77.0~),
               kquickimageeditor-dev,
               libkf5config-dev (>= 5.77.0~),
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libkf5sane-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev (>= 5.15.0~)
Standards-Version: 4.1.4
Homepage: https://apps.kde.org/skanpage/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/skanpage.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/skanpage
Maintainer: Neon CI <neon@kde.org>

Package: skanpage
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: scanning application designed for multi-page scanning
 Skanpage is a simple scanning application designed for multi-page scanning and saving of documents and images.
