## skanpage 22.12.1

=== debian/changelog ===
skanpage (22.12.1-2) unstable; urgency=medium

  [ Scarlett Moore ]
  * Source only upload.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 03 Feb 2023 06:17:29 -0700

skanpage (22.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #998815)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 19 Jan 2023 06:17:56 -0700
