=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               kirigami2-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.94~),
               libkf5purpose-dev (>= 5.94~),
               libksanecore-dev,
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files
