=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libksanecore-dev (>= 23.04.2~),
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files
