=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5purpose-dev,
-               libksanecore-dev (>= 23.04.2~),
+               libksanecore-dev (>= 23.04.3~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,
