## skanpage 23.08.0

=== debian/changelog ===
skanpage (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:08 +0100

skanpage (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b
  * Update build depends:
    - add libkf5xmlgui-dev
    - add kquickimageeditor-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:32 +0100
