=== debian/control ===
--- 
+++ 
@@ -8,13 +8,15 @@
                debhelper-compat (= 13),
                extra-cmake-modules,
                kirigami2-dev,
+               kquickimageeditor-dev,
                libkf5config-dev,
                libkf5coreaddons-dev,
                libkf5crash-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5purpose-dev,
-               libksanecore-dev (>= 23.04.3~),
+               libkf5xmlgui-dev,
+               libksanecore-dev (>= 23.08.0~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,
