## skanpage 23.08.1

=== debian/changelog ===
skanpage (23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * Add missing runtime dependency on qml-module-org-kde-
    kquickimageeditor. (Closes: #1053406)

 -- Jesse Rhodes <jesse@sney.ca>  Fri, 06 Oct 2023 10:30:59 -0400

skanpage (23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add missing runtime dependency on qml-module-org-kde-purpose. (Closes:
    #1030337)

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update build-deps with info from cmake. 
  * Update debian/rules to remove a build artifact. 

 -- Jesse Rhodes <jesse@sney.ca>  Mon, 02 Oct 2023 17:22:41 -0400
