=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5 --buildsystem kf5

override_dh_auto_clean:
# Generated file not removed by upstream clean target
	rm -f src/qml.generated.qrc
	dh_auto_clean
