## skanpage 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -34,10 +34,46 @@
 include(KDECMakeSettings)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
+
+
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KIRIGAMI_ICON_NAME "icon.name")
+    set(FILEDIALOG_CURRENT_FOLDER "currentFolder")
+    set(FILEDIALOG_SELECTED_NAME_FILTER "selectedNameFilter.index")
+    set(FILEDIALOG_SELECTED_FILE "selectedFile")
+    set(FILEDIALOG_MODE_SAVE "fileMode: FileDialog.SaveFile")
+    set(FILEDIALOG_MODE_LOAD_FOLDER "FolderDialog")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTEXISTING "")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTFOLDER "")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_NOTSELECTFOLDER "")
+    set(QTQUICK_DIALOGS_IMPORT "QtQuick.Dialogs")
+    set(BASICLISTITEM_ICON "icon.name")
+else()
+    set(KIRIGAMI_ICON_NAME "iconName")
+    set(FILEDIALOG_CURRENT_FOLDER "folder")
+    set(FILEDIALOG_SELECTED_NAME_FILTER "selectedNameFilter")
+    set(FILEDIALOG_MODE_SAVE "selectExisting: false")
+    set(FILEDIALOG_SELECTED_FILE "fileUrl")
+    set(FILEDIALOG_MODE_LOAD_FOLDER "FileDialog")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTEXISTING "selectExisting: true")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTFOLDER "selectFolder: true")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_NOTSELECTFOLDER "selectExisting: false")
+    set(QTQUICK_DIALOGS_IMPORT "QtQuick.Dialogs 1.3")
+    set(BASICLISTITEM_ICON "icon")
+endif()
+
 
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml QuickControls2 Concurrent Widgets Quick PrintSupport)
 
-find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF5_VERSION} REQUIRED
     COMPONENTS
         CoreAddons
         I18n
@@ -45,9 +81,12 @@
         Crash
         Config
         Purpose
+        XmlGui
 )
 
 find_package(KSaneCore "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
+
+find_package(KQuickImageEditor REQUIRED)
 
 find_package(Tesseract 4)
 find_package(Leptonica)
@@ -59,8 +98,9 @@
    message(STATUS "Skanpage will be built without OCR as libraries are missing.")
 endif()
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101
+)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX SKANPAGE
