## skanpage 23.08.3

=== debian/changelog ===
skanpage (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:54 +0000
