=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5i18n-dev,
                libkf5purpose-dev,
                libkf5xmlgui-dev,
-               libksanecore-dev (>= 23.08.3~),
+               libksanecore-dev (>= 23.08.4~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,
