=== icons/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 by Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#

ecm_install_icons(ICONS
    sc-apps-skanpage.svg
    48-apps-skanpage.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
