=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,13 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 include_directories(${skanpage_BINARY_DIR})
+
+configure_file(qml/GlobalMenu.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/GlobalMenu.qml)
+configure_file(qml/SettingsWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SettingsWindow.qml)
+configure_file(qml/ExportWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ExportWindow.qml)
+configure_file(qml/MainWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/MainWindow.qml)
+configure_file(qml/ShareWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ShareWindow.qml)
+configure_file(qml.qrc.in ${CMAKE_CURRENT_SOURCE_DIR}/qml.generated.qrc)
 
 add_executable(skanpage)
 
@@ -33,7 +40,7 @@
     OCREngine.h
     OCRLanguageModel.cpp
     OCRLanguageModel.h
-    qml.qrc
+    ${CMAKE_CURRENT_SOURCE_DIR}/qml.generated.qrc
     )
 
 ecm_qt_declare_logging_category(skanpage
@@ -71,6 +78,7 @@
     KF${KF_MAJOR_VERSION}::ConfigCore
     KF${KF_MAJOR_VERSION}::ConfigGui
     KF${KF_MAJOR_VERSION}::Purpose
+    KF${KF_MAJOR_VERSION}::XmlGui
 )
 
 if (TESSERACT_FOUND AND LEPTONICA_FOUND)
