=== debian/changelog ===
skanpage (23.08.5-0ubuntu6) noble; urgency=medium

  * Fix dependency typo

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 08 Jan 2026 14:23:33 -0800

skanpage (23.08.5-0ubuntu5) noble; urgency=medium

  * Fix for missing deps (LP: #2136768)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 17 Dec 2025 11:22:12 -0800

skanpage (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5printsupport5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:15 +0200

skanpage (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:13:52 +0000

skanpage (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:07:58 +0000

skanpage (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:33:04 -0700
