=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
                libkf5i18n-dev,
                libkf5purpose-dev,
                libkf5xmlgui-dev,
-               libksanecore-dev (>= 23.08.4~),
+               libksanecore-dev (>= 23.08.5~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
-               qtquickcontrols2-5-dev,
+               qtquickcontrols2-5-dev
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/skanpage
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
@@ -31,7 +31,10 @@
 
 Package: skanpage
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         qml-module-qt-labs-platform,
+         qml-module-org-kde-purpose,
+         qml-module-org-kde-kquickimageeditor
 Description: Multi-page scanning and saving of documents and images
  Skanpage is a simple scanning application designed for multi-page
  scanning and saving of documents and images.
