## skanpage 24.08.2

=== debian/changelog ===
skanpage (24.08.2-1ubuntu1) plucky; urgency=medium

  * Remove QtWebEngine build dependencies on architectures that do not support
    it.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 Oct 2024 14:34:58 -0500

skanpage (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Replace manual QML runtime dependencies with dh_qmldeps.
  * Review copyright information.
  * Slightly simplify debian/rules with the use of the
    before_dh_auto_clean target.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 09:34:30 +0200
