=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kquickimageeditor-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libksanecore-dev (>= 24.05~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-purpose (>= 6.0.0~),
               qml6-module-qt-labs-platform (>= 6.5.0~),
               qml6-module-qtquick-window (>= 6.5.0~),
               qml6-module-qtquick-dialogs (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-pdf-dev (>= 6.5.0~) [amd64 arm64 armhf],
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files
