## skanpage 24.12.0

=== debian/changelog ===
skanpage (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:23:17 +0100

skanpage (23.08.1-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Leptonlib transition, bug #1081319

 -- Jeff Breidenbach <jab@debian.org>  Sat, 05 Oct 2024 14:13:00 -0700
