=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skanpage
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +9,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               kquickimageeditor-dev,
+               kquickimageeditor-dev (>= 0.4.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -25,11 +24,11 @@
                qml6-module-org-kde-kquickimageeditor,
                qml6-module-org-kde-purpose (>= 6.0.0~),
                qml6-module-qt-labs-platform (>= 6.5.0~),
+               qml6-module-qtquick-dialogs (>= 6.5.0~),
                qml6-module-qtquick-window (>= 6.5.0~),
-               qml6-module-qtquick-dialogs (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-pdf-dev (>= 6.5.0~) [amd64 arm64 armhf],
+               qt6-pdf-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/skanpage
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
