=== debian/changelog ===
skanpage (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:14:11 +0000

skanpage (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:31 +0000

skanpage (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:22 +0000

skanpage (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 08:15:15 +0000

skanpage (24.08.3-0ubuntu2) plucky; urgency=medium

  * Depwait on QtWebEngine architectures rather than FTBFS.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:18:55 +0000

skanpage (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:15 +0000
