=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skanpage
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               kquickimageeditor-dev (>= 0.4.0~),
+               kquickimageeditor-dev,
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -18,7 +19,7 @@
                libkf6purpose-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.05~),
+               libksanecore-dev (>= 24.12.1~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
@@ -29,14 +30,15 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-pdf-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/skanpage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
 Rules-Requires-Root: no
 
 Package: skanpage
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: qml6-module-qtqml-workerscript,
          ${misc:Depends},
          ${qml6:Depends},
