=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6purpose-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.12.2~),
+               libksanecore-dev (>= 24.12.3~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
