## skanpage 25.04.0

=== debian/changelog ===
skanpage (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump required version of libksanecore-dev build dependency to >=
    25.04. (Closes: #1104657)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 09:15:42 +0200

skanpage (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop now unnecessary qt6-webengine-dev since the qt packages split
    was fixed.
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:30:07 +0200
